
program CANAL_2

! Escoamento Quase-Unidimensional em Canais

! Versão original 1.0 (Dez 1996)

! programador: Carlos Henrique Marchi
! local:       SINMEC/UFSC - Florianópolis - SC

! Versão atual    2.0 (28 Jan 00)

! última alteração =   31 Jan 00

! arquivos envolvidos na:compilação e execução deste programa:
!          (não inclui os arquivos gerados pelo próprio programa)           

!   FONTES
!     arquivo.f90
!     exato_canal.f90
!     canal_geral.f90
!     canal_main.f90    (este)
!     canal_nomes.f90
!     numerico_constante.f90
!     numerico_geral.f90
!     numerico_variavel.f90
!     plota.f90
!     solvers.f90

!   VISUAL: caixas de diálogo e ícones
!     script1.rc
!     resource.fd
!     resource.h
!     script1.aps

!   EXECUTÁVEIS (outros)
!     notepad.exe
!     wgnuplot.exe

!   ÍCONES
!     frame.ico

!   DADOS (nomes default)

!     canal.inicio.ent
!     canal.inicio.arquivo.ent
!     canal.inicio.exato.ent
!     canal.inicio.num_cte.ent
!     canal.inicio.num_ger.ent
!     canal.inicio.num_var.ent
!     canal.inicio.plota.ent

!     canal.arquivo.ent
!     canal.exato.ent
!     canal.geral.ent
!     canal.numerico_constante.ent
!     canal.numerico_geral.ent
!     canal.numerico_variavel.ent
!     canal.plota.ent

!     canal.massa_especifica.grafico.ent
!     canal.pressao.grafico.ent
!     canal.temperatura.grafico.ent
!     canal.velocidade.grafico.ent

!     propri3.dat
!     propri4.dat

!--------------------------------------------------------

use msfwin

use CANAL_GERAL ! versão 1.0 (29 Mar 00)

!--------------------------------------------------------

implicit none

!--------------------------------------------------------

logical name

interface
  logical(4) function initialsettings
  end function
end interface

name = setwindowtext(gethwndqq(qwin$framewindow), &
       "CANAL 2.0 - Escoamento Quase-Unidimensional em Canais"C)

!--------------------------------------------------------

call CANAL_GER_executa

!--------------------------------------------------------

call ARQUIVO_fecha_frame

end

!--------------------------------------------------------

logical(4) function initialsettings()

  use msflib

  record /qwinfo/ qwi
  qwi.x = 100
  qwi.y =  20
  qwi.w = 600         ! 400  600
  qwi.h = 400         ! 200  400
  qwi.type = qwin$set
  i4 = setwsizeqq(qwin$framewindow,qwi)
  qwi.type = qwin$min
  i4 = setwsizeqq(qwin$framewindow,qwi)

  initialsettings = .true.

end function initialsettings

!--------------------------------------------------------
